Main Menu
TChkList VCL

Eddy Web Software

Copyright (c) 1996

Properties

Methods

This control can be registered via The Compuserve Software Registration Forum GO SWREG.
REGISTERED Users gets free source code!  The Unregistered version of this control will only
work when Delphi is currently loaded, IT WILL NOT stop your application from running outside of
Delphi ( Because that's annoying, isn't it! ), It will only disable the TChklist Control.

SWREG ID#	11334	Control w/ Free Source	$20.00

Send Questions or comments to:  104127,3443

To Install:
Copy the files CHKLIST.DCU and CHKLIST.DCR to your VCL Directory and install the control CHKLIST.DCU through Delphi using the menu Options | Install Components.  It will show up on your pallete page 'Additional'.

Thank you!


Properties
aCheckedBmp : TBitmap

Bitmap used when item in listbox is currently checked.
Example of setting in code:  aCheckedBmp.Assign( TImage1.Picture.Bitmap);

aUnCheckedBmp : TBitmap

Bitmap used when item in listbox is currently un-checked.

LeftMargin : Integer

Number of Pixels the Bitmap will be drawn from the Left Margin of the Listbox.

TopAndBottomMargin: Integer

Number of Pixels the Bitmap will be drawn from the Top and Bottom of surrounding items.

TransparentColor: TColor

Color used as Transparent color when drawing the Bitmap.


Methods
SetCheck (Index: Integer; Mode:Boolean);

Returns: Nothing

Desc: Sets whether the item is checked or un-checked.

True - Checked
False - Unchecked

Example: ( Sets the current highlighted item to 'Checked')
ChkList1.SetCheck(Chklist1.ItemIndex, True);

AddString (sStr:String);

Returns: Nothing

Desc:  You MUST use this procedure to add strings to your listbox
 instead of the normal Listbox.Items.Add('').  This gives the
 control the capability to draw the Bitmaps next to the string.

Example:
Chklist1.AddString('List Item 1');
Chklist1.AddString('List Item 2');

IsItemChecked (Index: Integer): Boolean;

Returns:  True - Item is Checked
     False - Item is NOT Checked

Desc:  Give you the capability to find out if an item in the listbox is
 checked or unchecked.

Example: ( Checks if the currently highlighted item is checked )

If Chklist1.IsItemChecked(Chklist1.ItemIndex) = True Then
do something...